Vuejs-Vue fa: vue-fa - Simple FontAwesome 5 Vue.js 2 component.

vue-fa

npm bundle size npm downloads license

github build coverage

Tiny FontAwesome 5 component for Vue.js.

  • FontAwesome svg icons
  • Tree-shakable, only import used icons
  • No CSS file required
  • FontAwesome duotone icons

Documents and examples.

Installation

npm install vue-fa --save

Usage

<template>
  <div>
    <fa :icon="faFlag"/>
  </div>
</template>

<script>
  import Fa from 'vue-fa'
  import { faFlag } from '@fortawesome/free-solid-svg-icons'

  export default {
    components: {
      Fa
    },

    data() {
      return {
        faFlag
      }
    }
  }
</script>

Properties

<fa
  :icon="faFlag"
  fw
  flip="horizontal"
  pull="left"
  :rotate="90"
  size="2x"
  color="#ff0000"/>
  • fw: fixed width
  • flip: string values horizontal, vertical, both
  • pull: string values left, right
  • rotate: number or string values 90, 180, 270, 30, -30 ...
  • size: string values xs, sm, lg or 2x, 3x, 4x ...
  • color: icon color, default currentColor

Duotone Icons

import { faFlag } from '@fortawesome/pro-duotone-svg-icons'
<fa
  :icon="faFlag"
  primary-color="red"
  secondary-color="#000000"
  :primary-opacity="0.8"
  :secondary-opacity="0.6"
  swap-opacity/>

Duotone Icons Theme

<script>
import Fa from 'svelte-fa'
import { faFlag } from '@fortawesome/pro-duotone-svg-icons'

const theme = {
  primaryColor: 'red',
  secondaryColor: '#000000',
  primaryOpacity: 0.8,
  secondaryOpacity: 0.6,
}
</script>

<fa
  icon={faFlag}
  v-bind="theme"/>

Comments

  • Layers
    Layers

    Dec 13, 2019

    Is there a way to layer icons like with the standard font-awesome?

    enhancement 
    Reply
  • chore(deps-dev): bump sirv-cli from 1.0.14 to 2.0.2
    chore(deps-dev): bump sirv-cli from 1.0.14 to 2.0.2

    Jan 17, 2022

    Bumps sirv-cli from 1.0.14 to 2.0.2.

    Release notes

    Sourced from sirv-cli's releases.

    v2.0.2

    Patches

    • (sirv) Bump totalist version: e8c66e2 This allows for full native ESM support on Node.js

    Full Changelog: https://github.com/lukeed/sirv/compare/v2.0.0...v2.0.2

    v2.0.0

    Breaking

    • (sirv-cli) Change default port from 5000 to 8080 (#124): 93a920b With macOS Monterey, Apple now reserves port 5000 for AirPlay. This would cause sirv-cli to start seemingly successfully, but macOS would intercept all traffic to localhost:5000, causing unexpected behavior for users/clients.

    Features

    • (sirv): Supports native ESM usage within Node~! Now sirv and all its dependencies support ESM natively.

    • (sirv-cli): Support the NO_COLOR standard (#108): 4b8703b Thank you @​SpyTec~!

    Chores

    • (sirv): Bump totalist version (#86): 0cf66d8 Thank you @​aleclarson~!

    • Add http-server benchmark comparison (#4): 17ea37f

      http-server (cache=1)	     5,247 req/sec
      http-server (cache=0)	     5,091 req/sec
      sirv-cli (cache=1)	        12,612 req/sec
      sirv-cli (cache=0)	         8,490 req/sec
      sirv-cli (cache=1, logs=0)  13,609 req/sec
      sirv-cli (cache=0, logs=0)  10,157 req/sec  
      

    Full Changelog: https://github.com/lukeed/sirv/compare/v1.0.19...v2.0.0

    v1.0.19

    Patches

    • Replace mime/lite with mrmime: d93f33f Dependency swap for a significant size reduction and makes sirv more ESM-friendly.

    Chores

    • Bump uvu version: 6008daf

    ... (truncated)

    Commits
    • 886cc96 v2.0.2
    • e8c66e2 chore(sirv): bump totalist version
    • f049595 chore(ci): revert windows-latest addition
    • a1581ab debug(ci): pin pnpm version;
    • 5e33b85 debug(ci): copy latest install steps from pnpm site
    • e981ba6 chore(ci): generalize pnpm install step
    • 63132d2 chore(ci): update reporting conditions
    • b4d08a9 chore(ci): add Windows to OS matrix
    • 53f91c4 chore(ci): add 16.x to matrix
    • 628cd3d v2.0.1
    • Additional commits viewable in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    Reply
  • chore(deps-dev): bump eslint-plugin-jest from 25.7.0 to 26.0.0
    chore(deps-dev): bump eslint-plugin-jest from 25.7.0 to 26.0.0

    Jan 24, 2022

    Bumps eslint-plugin-jest from 25.7.0 to 26.0.0.

    Release notes

    Sourced from eslint-plugin-jest's releases.

    v26.0.0

    26.0.0 (2022-01-24)

    Bug Fixes

    • migrate to non-experimental ts-eslint utils (#1035) (e894f51)

    BREAKING CHANGES

    Changelog

    Sourced from eslint-plugin-jest's changelog.

    26.0.0 (2022-01-24)

    Bug Fixes

    • migrate to non-experimental ts-eslint utils (#1035) (e894f51)

    BREAKING CHANGES

    Commits
    • 613b26f chore(release): 26.0.0 [skip ci]
    • e894f51 fix: migrate to non-experimental ts-eslint utils (#1035)
    • 4449919 chore(ci): ask for LTS, not hard-coded version
    • 442f416 chore(deps): lock file maintenance
    • See full diff in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    Reply
  • Update rollup-plugin-vue to the latest version 🚀
    Update rollup-plugin-vue to the latest version 🚀

    Jan 9, 2020

    The devDependency rollup-plugin-vue was updated from 3.0.0 to 5.1.5.

    This version is not covered by your current version range.

    If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.


    Publisher: znck License: MIT

    Find out more about this release.


    FAQ and help

    There is a collection of frequently asked questions. If those don’t help, you can always ask the humans behind Greenkeeper.


    Your Greenkeeper bot :palm_tree:

    greenkeeper 
    Reply
  • chore(deps-dev): bump jest from 26.6.3 to 27.0.3
    chore(deps-dev): bump jest from 26.6.3 to 27.0.3

    May 31, 2021

    Bumps jest from 26.6.3 to 27.0.3.

    Release notes

    Sourced from jest's releases.

    27.0.3

    Fixes

    • [jest-config] require.resolve on default test sequencer and test environment (#11482)
    • [jest-mock] Fixed fn and spyOn exports (#11480)

    27.0.2

    Features

    • [jest-circus] Add some APIs to make it easier to build your own test runner
    • [jest-reporters] Expose the getResultHeader util (#11460)
    • [jest-resolver] Export resolve* utils for different Jest modules (#11466)
    • [@jest/test-result] Export Test, TestEvents and TestFileEvent (#11466)

    Fixes

    • [jest-circus] Add missing slash dependency (#11465)
    • [jest-circus, @jest/test-sequencer] Remove dependency on jest-runner (#11466)
    • [jest-config] Resolve config.runner to absolute path (#11465)
    • [jest-config] Make sure to support functions as config (#11475)
    • [jest-core] Do not warn about DNSCHANNEL handles when using the --detectOpenHandles option (#11470)
    • [jest-runner] Remove dependency on jest-config (#11466)
    • [jest-worker] Loosen engine requirement to >= 10.13.0 (#11451)

    27.0.1

    Fixes

    • [jest-environment-jsdom] Bump version of JSDOM to avoid deprecated request package (#11442)

    27.0.0

    Blog post

    Features

    • [babel-jest] Add async transformation (#11192)
    • [jest-changed-files] Use '--' to separate paths from revisions (#11160)
    • [jest-circus] [BREAKING] Fail tests when multiple done() calls are made (#10624)
    • [jest-circus, jest-jasmine2] [BREAKING] Fail the test instead of just warning when describe returns a value (#10947)
    • [jest-config] [BREAKING] Default to Node testing environment instead of browser (JSDOM) (#9874)
    • [jest-config] [BREAKING] Use jest-circus as default test runner (#10686)
    • [jest-config] Add support for preset written in ESM (#11200)
    • [jest-config, jest-runtime] Support ESM for files other than .js and .mjs (#10823)
    • [jest-config, jest-runtime] [BREAKING] Use "modern" implementation as default for fake timers (#10874 & #11197)
    • [jest-config Allow passing forceNodeFilesystemAPI through to jest-haste-map (#11264)
    • [jest-config, jest-haste-map, jest-resolve, jest-runner, jest-runtime, jest-test-sequencer, jest-transform, jest-types] [BREAKING] Add custom HasteMap class implementation config option (#11107)
    • [jest-core] make TestWatcher extend emittery (#10324)
    • [jest-core] Run failed tests interactively the same way we do with snapshots (#10858)
    • [jest-core] more TestSequencer methods can be async (#10980)
    • [jest-core] Add support for testSequencer written in ESM (#11207)
    • [jest-core] Add support for globalSetup and globalTeardown written in ESM (#11267)

    ... (truncated)

    Changelog

    Sourced from jest's changelog.

    27.0.3

    Fixes

    • [jest-config] require.resolve on default test sequencer and test environment (#11482)
    • [jest-mock] Fixed fn and spyOn exports (#11480)

    27.0.2

    Features

    • [jest-circus] Add some APIs to make it easier to build your own test runner
    • [jest-reporters] Expose the getResultHeader util (#11460)
    • [jest-resolver] Export resolve* utils for different Jest modules (#11466)
    • [@jest/test-result] Export Test, TestEvents and TestFileEvent (#11466)

    Fixes

    • [jest-circus] Add missing slash dependency (#11465)
    • [jest-circus, @jest/test-sequencer] Remove dependency on jest-runner (#11466)
    • [jest-config] Resolve config.runner to absolute path (#11465)
    • [jest-config] Make sure to support functions as config (#11475)
    • [jest-core] Do not warn about DNSCHANNEL handles when using the --detectOpenHandles option (#11470)
    • [jest-runner] Remove dependency on jest-config (#11466)
    • [jest-worker] Loosen engine requirement to >= 10.13.0 (#11451)

    27.0.1

    Fixes

    • [jest-environment-jsdom] Bump version of JSDOM to avoid deprecated request package (#11442)

    27.0.0

    Features

    • [babel-jest] Add async transformation (#11192)
    • [jest-changed-files] Use '--' to separate paths from revisions (#11160)
    • [jest-circus] [BREAKING] Fail tests when multiple done() calls are made (#10624)
    • [jest-circus, jest-jasmine2] [BREAKING] Fail the test instead of just warning when describe returns a value (#10947)
    • [jest-config] [BREAKING] Default to Node testing environment instead of browser (JSDOM) (#9874)
    • [jest-config] [BREAKING] Use jest-circus as default test runner (#10686)
    • [jest-config] Add support for preset written in ESM (#11200)
    • [jest-config, jest-runtime] Support ESM for files other than .js and .mjs (#10823)
    • [jest-config, jest-runtime] [BREAKING] Use "modern" implementation as default for fake timers (#10874 & #11197)
    • [jest-config Allow passing forceNodeFilesystemAPI through to jest-haste-map (#11264)
    • [jest-config, jest-haste-map, jest-resolve, jest-runner, jest-runtime, jest-test-sequencer, jest-transform, jest-types] [BREAKING] Add custom HasteMap class implementation config option (#11107)
    • [jest-core] make TestWatcher extend emittery (#10324)
    • [jest-core] Run failed tests interactively the same way we do with snapshots (#10858)
    • [jest-core] more TestSequencer methods can be async (#10980)

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    Reply
  • chore(deps-dev): bump eslint-plugin-vue from 6.2.2 to 7.3.0
    chore(deps-dev): bump eslint-plugin-vue from 6.2.2 to 7.3.0

    Dec 21, 2020

    Bumps eslint-plugin-vue from 6.2.2 to 7.3.0.

    Release notes

    Sourced from eslint-plugin-vue's releases.

    v7.3.0

    ✨ Enhancements

    • #1080 Added vue/new-line-between-multiline-property rule that enforces new lines between multi-line properties.
    • #1376 Added vue/no-restricted-props rule that disallows prop names that you don't want to use.
    • #1377 Added vue/no-restricted-custom-event rule that disallows custom event names that you don't want to use.

    ⚙️ Updates


    All commits: v7.2.0 -> v7.3.0

    v7.2.0

    ✨ Enhancements

    • #1364 Added casing option to vue/custom-event-name-casing rule.

    ⚙️ Updates

    🐛 Bug Fixes

    • #1335 Fixed false positives when using is attr in vue/valid-v-bind-sync rule.
    • #1366 Fixed false positives when using v-for variable for v-slot in vue/valid-v-slot rule
    • #1367 Fixed false positives when using in vue/valid-v-slot and vue/valid-v-model rule
    • #1368 Fixed false negatives when using handler property in vue/no-arrow-functions-in-watch rule
    • #1369 Fixed false positives for methods whose arguments should not be changed in vue/v-on-function-call rule.

    All commits: v7.1.0 -> v7.2.0

    v7.1.0

    ✨ Enhancements

    New Rules:

    • #1328 Added vue/block-tag-newline rule that enforces a line break (or no line break) after opening and before closing block tags.
    • #1326 Added vue/array-bracket-newline rule applies array-bracket-newline rule to expressions in \<template>.

    Other changes in Rules:

    • #1321 Added ignores option to vue/custom-event-name-casing rule.
    • #1330 Added allowModifiers option to vue/valid-v-slot rule.

    🐛 Bug Fixes

    Commits
    • 79fabf8 7.3.0
    • 1b8beb0 Fixed wrong autofix when properties on the same line in new-line-between-mult...
    • 96425c6 update docs and fix typings
    • 110b236 Add vue/no-restricted-custom-event rule (#1377)
    • 27fc097 Add vue/no-restricted-props rule (#1376)
    • 7212c36 Upgrade vue-eslint-parser (#1375)
    • 95fd13f New Add vue/new-line-between-multiline-property rule (#1080)
    • 4a141ce fix broken link (#1372)
    • 1f355c9 7.2.0
    • d9f72a5 Fix false positives for methods whose arguments should not be changed in the ...
    • Additional commits viewable in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    Reply
  • Update rollup-plugin-vue to the latest version 🚀
    Update rollup-plugin-vue to the latest version 🚀

    Nov 21, 2019

    The devDependency rollup-plugin-vue was updated from 3.0.0 to 5.1.3.

    This version is not covered by your current version range.

    If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.


    Publisher: znck License: MIT

    Find out more about this release.


    FAQ and help

    There is a collection of frequently asked questions. If those don’t help, you can always ask the humans behind Greenkeeper.


    Your Greenkeeper bot :palm_tree:

    greenkeeper 
    Reply
  • chore(deps-dev): bump rollup-plugin-vue from 3.0.0 to 5.1.7
    chore(deps-dev): bump rollup-plugin-vue from 3.0.0 to 5.1.7

    May 11, 2020

    Bumps rollup-plugin-vue from 3.0.0 to 5.1.7.

    Release notes

    Sourced from rollup-plugin-vue's releases.

    Version 5.0.0

    Chores

    • Upgrade @vue/component-compiler & @vue/component-compiler-utils (e215fe7)

    BREAKING CHANGES

    Version 4.7.2

    Bug Fixes

    • Add needMap option to disable source maps (3f879f3)

    Version 4.7.0

    Bug Fixes

    • Use isProduction when defined and fallback to NODE_ENV/BUILD (5fb30ce)
    • Use template.isProduction option if set (#267) (911eabc)

    Features

    • Add data option to allow prepending style block content (a5711f6), closes #93
    • Add exposeFilename to control __file property (5c1dffb)
    • Combine customBlocks inclusion/exclusion option (8ae8568)

    Version 4.3.0

    Bug Fixes

    • Transform require in render function compiled from \<template> (#212) (89839f2)

    Features

    • Provide sourcemap for blocks in .vue file (#215) (a5928ad)

    Version 4.2.0

    Features

    • Use regex to filter .vue files (1c77e2a)

    Version 4.1.5

    Bug Fixes

    • Handle Vue.extend constructor export from .vue file (#206) (fa7661e)
    • Resolve src attr value with require.resolve (#205) (ecb2d87)

    Version 4.1.4

    ... (truncated)
    Changelog

    Sourced from rollup-plugin-vue's changelog.

    5.1.7 (2020-05-11)

    Bug Fixes

    • bump component-compiler to allow tree-shaking (a85e6d9)
    • provide scopeId to template compiler when the component has scoped styles (#337) (1fec2c5)
    • some wording (#339) (6a94a53)

    5.1.6 (2020-01-22)

    Bug Fixes

    • tsconfig.json: transpile async await in order to be compatible to rollup-plugin-typescript2 (#324) (deb4a1b)

    5.1.5 (2020-01-06)

    5.1.4 (2019-11-21)

    Bug Fixes

    • use inline block language in part request (7434ea2)

    5.1.3 (2019-11-21)

    Bug Fixes

    • call transformer from whitelisted custom blocks (#310) (ab13f3b)

    5.1.2 (2019-10-27)

    ... (truncated)
    Commits
    • 5fa9682 chore(release): 5.1.7
    • a85e6d9 fix: bump component-compiler to allow tree-shaking
    • 1fec2c5 fix: provide scopeId to template compiler when the component has scoped style...
    • cd4af0d chore(deps): bump https-proxy-agent from 2.2.1 to 2.2.4 (#338)
    • 2ca5858 docs: add syntax highlighting (#332)
    • 6a94a53 fix: some wording (#339)
    • 4de028c chore: use circleci node image
    • 40087fd chore(release): 5.1.6
    • deb4a1b fix(tsconfig.json): transpile async await in order to be compatible to rollup...
    • 2c1c187 Fix typo (#320)
    • Additional commits viewable in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Note: This repo was added to Dependabot recently, so you'll receive a maximum of 5 PRs for your first few update runs. Once an update run creates fewer than 5 PRs we'll remove that limit.

    You can always request more updates by clicking Bump now in your Dependabot dashboard.

    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
    • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
    • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
    • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language
    • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

    Additionally, you can set the following in your Dependabot dashboard:

    • Update frequency (including time of day and day of week)
    • Pull request limits (per update run and/or open at any time)
    • Out-of-range updates (receive only lockfile updates, if desired)
    • Security updates (receive only security updates, if desired)
    dependencies 
    Reply
  • Update rollup-plugin-vue to the latest version 🚀
    Update rollup-plugin-vue to the latest version 🚀

    Oct 26, 2019

    The devDependency rollup-plugin-vue was updated from 3.0.0 to 5.1.0.

    This version is not covered by your current version range.

    If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.


    Publisher: znck License: MIT

    Find out more about this release.


    FAQ and help

    There is a collection of frequently asked questions. If those don’t help, you can always ask the humans behind Greenkeeper.


    Your Greenkeeper bot :palm_tree:

    greenkeeper 
    Reply
  • An in-range update of rollup is breaking the build 🚨
    An in-range update of rollup is breaking the build 🚨

    Aug 5, 2019

    The devDependency rollup was updated from 1.18.0 to 1.19.0.

    🚨 View failing branch.

    This version is covered by your current version range and after updating it in your project the build failed.

    rollup is a devDependency of this project. It might not break your production code or affect downstream projects, but probably breaks your build or test tools, which may prevent deploying or publishing.

    Status Details
    • continuous-integration/travis-ci/push: The Travis CI build could not complete due to an error (Details).

    Commits

    The new version differs by 6 commits.

    • 9af119d 1.19.0
    • b3f361c Update changelog
    • 456f4d2 Avoid variable from empty module name be empty (#3026)
    • 17eaa43 Use id of last module in chunk as name base for auto-generated chunks (#3025)
    • 871bfa0 Switch to a code-splitting build and update dependencies (#3020)
    • 2443783 Unified file emission api (#2999)

    See the full diff

    FAQ and help

    There is a collection of frequently asked questions. If those don’t help, you can always ask the humans behind Greenkeeper.


    Your Greenkeeper Bot :palm_tree:

    greenkeeper 
    Reply
  • An in-range update of eslint-plugin-jest is breaking the build 🚨
    An in-range update of eslint-plugin-jest is breaking the build 🚨

    May 22, 2019

    The devDependency eslint-plugin-jest was updated from 22.5.1 to 22.6.0.

    🚨 View failing branch.

    This version is covered by your current version range and after updating it in your project the build failed.

    eslint-plugin-jest is a devDependency of this project. It might not break your production code or affect downstream projects, but probably breaks your build or test tools, which may prevent deploying or publishing.

    Status Details
    • continuous-integration/travis-ci/push: The Travis CI build could not complete due to an error (Details).

    Release Notes for v22.6.0

    22.6.0 (2019-05-22)

    Features

    Commits

    The new version differs by 9 commits.

    • 14d83ef feat(rules): add no-commented-out rule (#262)
    • 83ff198 chore: migrate no-jest-import to typescript (#259)
    • 718c08c chore: upgrade @typescript-eslint
    • ca2aa27 chore: port lowercase-name to TypeScript (#258)
    • 3df0058 chore(ci): run danger with lts version of node
    • 48e3a59 chore: precompile with babel (#257)
    • 8670804 chore: bump deps
    • 05eb11a chore: fix lint error
    • dff6446 docs: link to eslint-plugin-jest-formatting

    See the full diff

    FAQ and help

    There is a collection of frequently asked questions. If those don’t help, you can always ask the humans behind Greenkeeper.


    Your Greenkeeper Bot :palm_tree:

    greenkeeper 
    Reply
  • An in-range update of eslint-plugin-jest is breaking the build 🚨
    An in-range update of eslint-plugin-jest is breaking the build 🚨

    Jul 17, 2019

    The devDependency eslint-plugin-jest was updated from 22.9.0 to 22.10.0.

    🚨 View failing branch.

    This version is covered by your current version range and after updating it in your project the build failed.

    eslint-plugin-jest is a devDependency of this project. It might not break your production code or affect downstream projects, but probably breaks your build or test tools, which may prevent deploying or publishing.

    Status Details
    • continuous-integration/travis-ci/push: The Travis CI build could not complete due to an error (Details).

    Release Notes for v22.10.0

    22.10.0 (2019-07-17)

    Features

    Commits

    The new version differs by 7 commits.

    • 28bd1dc feat(rules): adds no-if rule (#293)
    • 7ebdc0e chore: enforce import destructure order
    • 31c7cef chore: convert to import/export (#302)
    • 9f858cb chore: delete tests instead of ignoring them with babel
    • c595ba0 chore: do not include tests in published tarball
    • 4b4eb78 chore: fix lint error in md file
    • d3ea720 chore(docs): fix typo (#304)

    See the full diff

    FAQ and help

    There is a collection of frequently asked questions. If those don’t help, you can always ask the humans behind Greenkeeper.


    Your Greenkeeper Bot :palm_tree:

    greenkeeper 
    Reply
  • Update rollup to the latest version 🚀
    Update rollup to the latest version 🚀

    Mar 6, 2020


    ☝️ Important announcement: Greenkeeper will be saying goodbye 👋 and passing the torch to Snyk on June 3rd, 2020! Find out how to migrate to Snyk and more at greenkeeper.io


    The devDependency rollup was updated from 1.32.1 to 2.0.0.

    This version is not covered by your current version range.

    If you don’t accept this pull request, your project will work just like it did before. However, you might be missing out on a bunch of new features, fixes and/or performance improvements from the dependency update.


    Publisher: lukastaegert License: MIT

    Find out more about this release.


    FAQ and help

    There is a collection of frequently asked questions. If those don’t help, you can always ask the humans behind Greenkeeper.


    Your Greenkeeper bot :palm_tree:

    greenkeeper 
    Reply